net.sf.jasperreports.types.date

## Enum CalendarUnit

- java.lang.Object
- - java.lang.Enum<CalendarUnit>
  - - net.sf.jasperreports.types.date.CalendarUnit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CalendarUnit>

      public enum CalendarUnit
      extends java.lang.Enum<CalendarUnit>

  Version:
    $Id: CalendarUnit.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    schubar

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAY`
    `MONTH`
    `QUARTER`
    `SEMI`
    `WEEK`
    `YEAR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CalendarUnit` | `fromValue(java.lang.String unitName)`
    `java.lang.String` | `getUnitName()`
    `java.lang.String` | `toString()`
    `static CalendarUnit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CalendarUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DAY

          public static final CalendarUnit DAY

    - #### WEEK

          public static final CalendarUnit WEEK

    - #### MONTH

          public static final CalendarUnit MONTH

    - #### QUARTER

          public static final CalendarUnit QUARTER

    - #### SEMI

          public static final CalendarUnit SEMI

    - #### YEAR

          public static final CalendarUnit YEAR

  - ### Method Detail

    - #### values

          public static CalendarUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CalendarUnit c : CalendarUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CalendarUnit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getUnitName

          public java.lang.String getUnitName()

    - #### fromValue

          public static CalendarUnit fromValue(java.lang.String unitName)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<CalendarUnit>`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com